@font-face {
    font-family: "Odachi";
    src: url("Fonts/Odachi/Odachi.otf");
}
body{
    margin:0;
    padding:0;
    background: rgb(242,242,242);
    font-family: 'Rubik', sans-serif;
}


h1, h2, h3{
    text-align: center;
    font-family: 'Montserrat Alternates', sans-serif;
}

h1{
    font-size: 25pt;
    color:#3E6680;
    font-family: 'Montserrat Alternates', sans-serif;
    font-weight: bold;
}

#footer{
    display:none;
}

#nav{
    background:dodgerblue;
    width:225px;
    min-height:100%;
    position:fixed;
    left:0;
    top:0;
    color:white;
    box-shadow: 0px 0px 18px 0px rgba(0,0,0,0.45);
}

#nav img{
    display:block;
    margin:auto;
    width: 80%;
    height: auto;
    margin-bottom:30px;
}

#nav p{
    margin-top: 5px;
    margin-bottom: 5px;
}

#wrapper{
    margin: auto;
    padding-left:225px;
    width:calc(100% - 225px);
    min-height: 100vh;
    max-width:1500px;
}

#productInfo{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 16px;
    margin:auto;
    width: 90%;

}

#contact{
    text-align: center;
    display:block;
}

#hours{
    width:225px;
    text-align: center;
    position:absolute;
    bottom:20px;
}

.product{
    display:inline-block;
    position:relative;
    background:rgb(250,250,250);
    text-align: center;
    border-radius:10px;
    transition:ease 0.3s;
    z-index: 1;
}

.product img{
    width:100%;
    height: 100%;
    max-height: 600px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    object-fit: contain;
    z-index: -2;
    transition: ease 0.1s;
}

.productDescription{
    z-index: 999;
    text-align:left;
    box-sizing: border-box; 
    position:absolute;
    top:300px;
    width:100%;
    height:auto;
    padding:20px;
    min-height:50px;
    border-radius:10px;
    background:rgba(0,0,0, 0);
    color:rgba(0,0,0, 0);
    transition: ease 0.5s;
    pointer-events: none;
}

.productDescription::after{
    content:'';
    position:absolute;
    left:50%;
    top:-20px;
    border:10px solid transparent;
    transition:ease 0.5s;
}

.product:hover{
    box-shadow: 0px 0px 8px 2px rgba(0,0,0,0.25);
}

.product:hover img{
    filter: sepia(0%);
}

#hours img{
    width: 32px;
    height: 32px;
}
.product:hover .productDescription{
    /* background:rgba(0,90,156, 0.5); */
    top:0px;
    background:rgba(0,0,0,0.4);
    color:white;
}

.product:hover .productDescription::after{
    border-bottom-color: rgba(0,0,0, 0.4);
}
#endHours{
    padding-bottom: 20px;
}

#promos{
    display:block;
    text-align:left;
    margin:30px auto 30px auto;
    position:relative;
    margin-bottom:30px;
    padding:20px 50px 30px 50px;
    width:90%;
    height:auto;
    border:dashed 3px grey;
    border-radius:20px;
    box-sizing: border-box;
    background: rgb(250,250,250);
}

#promos h2{
    text-align: left;
}

#printImg{
    cursor: pointer;
    position: absolute;
    width:50px;
    height:auto;
    right:25px;
    top:25px;
}

footnote{
    font-size:7pt;
}

.truck_div{
    position: fixed;
    top:calc(100vh - 300px);
    right:calc(100vw - 170px);
    display:grid;
    grid-template-columns: 1fr 4fr;
    grid-template-rows: 5fr 3fr;
    grid-template-areas: 
        "..... truck"
        "smoke truck";
    width:80px;
    z-index:8;
}

.truck_div img{
    display: inline-block;
}

.truck_div:hover > #truck{
    animation-duration: 200ms;
    animation-name: driving;
    animation-play-state: running;
}

.truck_div:hover > #smoke{
    display:inline-block;
}

#truck{
    grid-area: truck;
    width:100%;
    height:auto;
    margin-top:0px;
    animation-name: drivingSlow;
    animation-duration: 500ms;
    animation-iteration-count: infinite;
    animation-timing-function: ease;
}

#smoke{
    width:100%;
    min-width: 100%;
    opacity: 0;
    display:none;
    grid-area: smoke;
    transition: ease 200ms;
    animation-name: puff;
    animation-duration: 1000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    z-index: -1;
}

@keyframes driving{
    0%   { transform: translateY(0px);  }
    50%  { transform: translateY(2px);  }
    100% { transform: translateY(0px);  }
}

@keyframes drivingSlow{
    0%   { transform: translateY(0px);  }
    50%  { transform: translateY(1px);  }
    100% { transform: translateY(0px);  }
}

@keyframes puff{
    0%   { opacity:0; transform: scale(0.0); transform: translateX(25px);  }
    50%  { opacity:1; transform: scale(0.5); transform: translateX(0px);   }
    100% { opacity:0; transform: scale(1.0); transform: translateX(-25px); }
}

#delivery{
    opacity: 0;
    width:170px;
    text-align: center;
    height:auto;
    min-height:50px;
    background:white;
    color:black;
    position: fixed;
    top:calc(100vh - 370px);
    right:calc(100vw - 215px);
    transform: translateY(calc(-100% + 50px));
    border-radius: 10px;
    transition:ease 0.3s;
    box-shadow: 0px 0px 8px 2px rgba(0,0,0,0.25);
}

#delivery::after{
    content:'';
    position: absolute;
    bottom:-20px;
    right:70px;
    border:10px solid transparent;
    border-top-color: white;
}

.truck_div:hover ~ #delivery{
    opacity: 1;
}

#delivery h3{
    font-size:12pt;
}

#delivery p{
    margin-top:-10px;
    font-size:10.5pt;
    box-sizing: border-box;
    padding:0 30px 0 30px;
}

@media (max-width:1000px){
    #productInfo{
        grid-template-columns: repeat(1, 1fr);
    }

    #nav{
        width:100%;
        margin:auto;
        height:200px;
        position:inherit;
        top:0px;
    }
    #nav img{
        padding-top:20px;
        display:block;
        margin:auto;
        width: 140px;
        height: auto;
    }
    #contact, #hours{
        display:none;
    }

    #wrapper{
        margin: auto;
        padding-left:0px;
        width:100%;
        min-height: 100vh;
    }

    #footer{
        height:170px;
        background:dodgerblue;
        color:white;
        display:flex;
        box-shadow: 0px 0px 18px 0px rgba(0,0,0,0.45);
    }

    #footer p{
        margin-top:-10px;
    }

    #footer img{
        margin-top:60px;
    }

    #footer div{
        display: flex;
        flex-direction: column;
        box-sizing: border-box; 
        width:33.33333%;
        text-align: center;
    }
    .truck_div{
        position: absolute;
        transform:scale(-1,1);
        top:calc(160px);
        right:calc(15px);
    }

    #delivery{
        position: absolute;
        top:94px;
        right:15px;
    }

    #delivery::after{
        content:'';
        position: absolute;
        bottom:-20px;
        right:30px;
        border:10px solid transparent;
        border-top-color: white;
    }
}

.mapouter{
    position:relative;
    text-align: right;
    margin: auto;
    margin-top: 5%;
    margin-bottom: 5%;
    height:500px;
    width:90%;
    border-radius: 10px;
    box-shadow: 0px 10px 17px -5px rgba(0,0,0,0.2);
}

.gmap_canvas {
    border-radius: 10px;
    overflow:hidden;
    background:none!important;
    height:500px;
    width:100%;
}

@media (max-width:700px){
    #footer div p{
        font-size: 9pt;
    }
}

@media print {
    html, body {
        height:100vh; 
        margin: 0 !important; 
        padding: 0 !important;
        overflow: hidden;
    }
 
    #wrapper * , #nav{
        display: none;
    }
    
    #promos, #promos *{
        display:block;
        page-break-after: auto;
    }

    #printImg{
        display:none;
    }
}
